# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

BuildRequires:  MozillaFirefox bc unzip zip

Name:           MozillaFirefox-branding-Linkat-edu
License:        BSD 3-clause (or similar) ; GPL v2 or later
Version:        3.5
Release:        8.1
Summary:        Linkat branding of MozillaFirefox
Group:          Productivity/Networking/Web/Browsers
Source:         susefox-20091023.tar.bz2
Source1:        search-addons.tar.bz2
Source2:        bookmarks.html.linkat
Source3:        firefox-linkat-default-prefs.js
Source4:        firefox.schemas
Source5:        distribution.ini.in
Provides:       MozillaFirefox-branding = %{version}
PreReq:         MozillaFirefox >= 3.5
Conflicts:      otherproviders(MozillaFirefox-branding)
Supplements:    packageand(MozillaFirefox:branding-Linkat)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define default_home_page http://linkat.xtec.cat/portal/index.php
%define progdir %{_prefix}/%_lib/firefox
%define libgssapi libgssapi_krb5.so.2
%define gnome_confdir %{_sysconfdir}
%define suseversion %(echo -e "scale=1\\n%{suse_version}/100" | bc 2>/dev/null)
%gconf_schemas_prereq
Vendor:		linkat

%description
This package provides Linkat Look and Feel for MozillaFirefox. Education version.

%prep
%setup -n susefox -q 

%build
./build.sh

%install
install -d $RPM_BUILD_ROOT%{progdir}
# custom bookmarks
install -d $RPM_BUILD_ROOT%{progdir}/defaults/profile
install -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{progdir}/defaults/profile/bookmarks.html
# apply SUSE defaults
install -d $RPM_BUILD_ROOT%{progdir}/defaults/preferences
sed -e 's,GSSAPI,%{libgssapi},g' \
   %{SOURCE3} > linkat-default-prefs
install -m0644 linkat-default-prefs $RPM_BUILD_ROOT%{progdir}/defaults/preferences/firefox-Linkat.js
rm linkat-default-prefs
# distribution.ini
install -d $RPM_BUILD_ROOT%{progdir}/distribution
sed -e 's,%VERSION%,%{suseversion},g' \
   %{SOURCE5} > distribution.ini
install -m 0644 distribution.ini $RPM_BUILD_ROOT%{progdir}/distribution/
# search plugins
install -d $RPM_BUILD_ROOT%{progdir}/searchplugins
(cd $RPM_BUILD_ROOT%{progdir}/searchplugins ; tar xjf %{SOURCE1})
# browserconfig.properties
cat << EOF >> linkat-browserconfig.properties
browser.startup.homepage=%{default_home_page}
browser.startup.homepage_reset=%{default_home_page}
EOF
install -m0644 linkat-browserconfig.properties $RPM_BUILD_ROOT%{progdir}/browserconfig.properties
rm linkat-browserconfig.properties
# SCHEMA File
mkdir -p $RPM_BUILD_ROOT%{gnome_confdir}/gconf/schemas
install -m 644 %{SOURCE4} \
               $RPM_BUILD_ROOT%{gnome_confdir}/gconf/schemas/
%find_gconf_schemas
# install the system extension
mkdir susefox\@opensuse.org
(cd susefox\@opensuse.org; unzip ../susefox.xpi)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/
cp -r susefox\@opensuse.org \
      $RPM_BUILD_ROOT%{_datadir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%files -f %{name}.schemas_list
%defattr(-,root,root)
%{progdir}/defaults/preferences/firefox-Linkat.js
%{progdir}/defaults/profile/bookmarks.html
%{progdir}/browserconfig.properties
%{progdir}/searchplugins/*
%{progdir}/distribution
%{_datadir}/mozilla

%changelog
* Mon Mar 29 2010 dlara@espherica.com
- Replace openSUSE brand with Linkat brand
* Fri Oct 23 2009 wr@rosenauer.org
- update susefox to snapshot 20091023
  * remove unneeded error dialog (bnc#549496)
* Mon Sep 28 2009 wr@rosenauer.org
- update susefox to snapshot 20090928
  * fixed syntax error in install.rdf which prevented the addon from
    being loaded
* Fri Sep 25 2009 wr@rosenauer.org
- update susefox to snapshot 20090925
  * added pt-BR locale
  * use pluginfinder.opensuse-community.org as official backend
* Mon Sep 14 2009 wr@rosenauer.org
- update susefox to snapshot 20090914
  * offer the homepage link also in en-US locale
* Fri Jul 10 2009 wr@rosenauer.org
- update susefox to snapshot 20090710
  * added link to the new "homepage" of the addon
  * manage content plugins menuitem is always enabled now
  * plugin installer wizard skips the results list correctly
  * fixed a few issues
* Sat Jul  4 2009 wr@rosenauer.org
- update susefox to snapshot 20090703
  * Remove superfluous select field
  * Remove the bug reporting hint for missing upstream descriptions
  * added nl locale from Freek de Kruijf
  * Add it locale as provided by Andrea Turrini
* Tue Jun 30 2009 wr@rosenauer.org
- add distribution.ini (mainly for having a distribution version
  in Firefox prefs e.g. needed for the susefox addon)
- added susefox extension
  * supports custom plugin finder service
  * integrates PFS with YaST
  * allows setting of the default mimetype handler plugin if there
    are more than one installed
* Tue May 19 2009 wr@rosenauer.org
- set accessibility.typeaheadfind.soundURL to "default" (bnc#505289)
  (that uses a wav packaged in toolkit and FF might not be able
  to play it if esd is not functional)
* Mon May  4 2009 wr@rosenauer.org
- bumped version to 3.5 to reflect FF version bump
- updated firefox.schemas
- removed spec support for distributions before 10.3
- removed obsolete prefs
* Mon Dec  8 2008 hfiguiere@suse.de
- Fix a type in firefox-suse-default-prefs.js
* Fri Nov 21 2008 maw@suse.de
- Review and approve changes.
* Fri Nov 14 2008 wr@rosenauer.org
- Make sure that the base package is installed before installing
  the branding packages (needed for gconf schema update)
  (bnc#444682)
* Fri Nov  7 2008 maw@suse.de
- Review and approve changes.
* Wed Nov  5 2008 wr@rosenauer.org
- added the Firefox Gconf schema for system prefs and
  changed the homepage URL to http://www.opensuse.org/ (bnc#441646)
* Tue Oct 21 2008 maw@suse.de
- Review and approve changes.
* Tue Oct  7 2008 wr@rosenauer.org
- bumped version to 3.0.3
- removed browser.link.open_external override; we are opening
  everything in a new tab; that also caused UI misbehaviour
  (bnc#430077, bmo#457092)
- Set browser.identity.ssl_domain.display to 1 (bnc#426263)
* Tue Oct  7 2008 vuntz@novell.com
- Add openSUSE documentation bookmark (fate#305003).
- Also remove the Novell bookmarks and search addons. They will go
  in the SLED branding package.
* Mon Oct  6 2008 sbrabec@suse.cz
- Conflict with other branding providers (FATE#304881).
* Fri Sep 26 2008 vuntz@suse.de
- Add COPYING file (bnc#426320).
* Sun Aug  3 2008 wr@rosenauer.org
- some polishing and minor changes
* Tue Jul 29 2008 vuntz@novell.com
- New package (bnc#390752).
